<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bootstrap Login &amp; Register Templates</title>

    <!-- CSS -->
    <link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Roboto:400,100,300,500">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="./admin/assets/font-awesome/css/font-awesome.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
    <link rel="stylesheet" href="./admin/assets/css/form-elements.css">
    <link rel="stylesheet" href="./admin/assets/css/style.css">

    <link rel="shortcut icon" href="assets/ico/favicon.png">
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="./admin/assets/ico/apple-touch-icon-144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="./admin/assets/ico/apple-touch-icon-114-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="./admin/assets/ico/apple-touch-icon-72-precomposed.png">
    <link rel="apple-touch-icon-precomposed" href="./admin/assets/ico/apple-touch-icon-57-precomposed.png">

</head>

<body>

    <!-- Top content -->
    <div class="top-content">

        <div class="inner-bg">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-sm-5">
                        <div class="form-box">
                            <div class="form-top">
                                <div class="form-top-left">
                                    <h1>Sign up</h1>
                                    <p>Please fill in this form to create an account!</p>
                                </div>
                                <div class="form-top-right">
                                    <i class="fa fa-pencil"></i>
                                </div>
                            </div>
                            <div class="form-bottom">
                                <div role="form" action="" method="post" class="registration-form">
                                    <div class="form-group">
                                        <input type="text" class="form-control" id="uname" name="uname"
                                            placeholder="User name" required="required">
                                    </div>
                                    <div class="form-group">
                                        <input type="email" class="form-control" id="email" name="email"
                                            placeholder="Email" required="required">
                                    </div>
                                    <div class="form-group">
                                        <input type="password" class="form-control" id="password" name="password"
                                            placeholder="Password" required="required">
                                    </div>
                                    <div class="form-group">
                                        <input type="password" class="form-control" id="confirm" name="confirm_password"
                                            placeholder="Confirm Password" required="required">
                                    </div>
                                    <div class="form-group">
                                        <label class="form-check-label"><input type="checkbox" id="checked"
                                                required="required"> I accept the <a href="#">Terms of Use</a> &amp; <a
                                                href="#">Privacy Policy</a></label>
                                    </div>
                                    <button type="submit" class="btn" id="signup-btn">Sign me up!</button>
                                </div>


                            </div>
                        </div>

                    </div>
                </div>

            </div>
        </div>

    </div>

    <!-- Javascript -->
    <script src="./admin/assets/js/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
    <!-- Toastr -->
    <script src="plugins/toastr/toastr.min.js"></script>
    <script src="./admin/assets/js/jquery.backstretch.min.js"></script>
    <script src="./admin/assets/js/scripts.js"></script>

    <!--[if lt IE 10]>
            <script src="assets/js/placeholder.js"></script>
        <![endif]-->

    <script>
        //Khởi tạo biến cục bộ
        var gSignUpData = {
            username: '',
            email: '',
            password: '',
            role: []
        }

        //Sự kiện click
        $("#signup-btn").on("click", function () {

            signUpFunction();
        });

        //Xử lý sự kiện đóng
        $(".modal").on("hidden.bs.modal", function () {
            resetForm();
        });

        //Hàm xử lý sự kiện click
        function signUpFunction() {

            //Lấy dữ liệu
            getDataSignUp();

            //validate dữ liệu
            if (validateData()) {

                //Truyền dữ liệu về server
                signUp();

                window.location.href = "./signin.html";
            }
        }
        //Hàm lấy dữ liệu 
        function getDataSignUp() {
            var vSignUpData = {
                username: '',
                email: '',
                password: '',
                role: []
            }
            vSignUpData.username = $("#uname").val().trim();
            vSignUpData.email = $("#email").val().trim();
            vSignUpData.password = $("#password").val().trim();
            vSignUpData.role = [];
            gSignUpData = vSignUpData;

        }

        //Hàm sử lý signUp
        function signUp() {
            $.ajax({
                url: "http://localhost:8080/api/auth/signup",
                type: 'POST',
                dataType: "json",
                contentType: "application/json; charset=utf-8",
                data: JSON.stringify(gSignUpData),
                success: function (pRes) {
                    console.log(pRes);
                },
                error: function (pAjaxContext) {
                    console.log(pAjaxContext.responseJSON.message);
                }
            });
        }


        //Hàm validate dữ liệu
        function validateData() {
            if ($("#uname").val() === "") {
                toastr.error('User Name không được để trống');
                return false;
            }
            if ($("#email").val() === "") {
                toastr.error('email không được để trống');
                return false;
            }
            if (!validateEmail($("#email").val())) {
                toastr.error('email không phù hợp');
                return false;
            };
            if ($("#password").val() === "") {
                toastr.error('password không được để trống');
                return false;
            }
            if ($("#password").val().length < 8) {
                toastr.error('password quá ngắn');
                return false;
            }
            if ($("#confirm-pw").val() === "") {
                toastr.error('confirm password không được để trống');
                return false;
            }
            if (!$("#checked").is(":checked")) {
                toastr.error('Bạn chưa đồng ý');
                return false;
            }
            return true;
        }

        // Hàm validate email bằng regex
        function validateEmail(email) {
            const regex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            return regex.test(String(email).toLowerCase());
        }
    </script>

</body>

</html>